<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body>

  <!-- Content Header (Page header) -->
  <section class="content-header">
    <div class="container">
      <div class="row mb-2">
        <div class="col-sm-12 text-center">
          <h1>CRUD Book</h1>
        </div>

        <div class="mb-3 mt-3 ml-3">
          <button class="btn btn-success" id="btn-create-album">Thêm Mới Book</button>
        </div>

      </div>
    </div><!-- /.container-fluid -->
  </section>
  <!-- Main content -->
  <section class="content">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-body">

              <table class="table table-bordered table-striped table-hover text-center bg-light" id="book-table">
                <thead>
                  <tr>
                    <th>STT</th>
                    <th>Mã Chương</th>
                    <th>Tên Chương</th>
                    <th>Giới Thiệu</th>
                    <th>Tên Người Dịch</th>
                    <th>Trang</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>

                </tbody>
              </table>
            </div>
          </div>


          <!-- modal create album-->
          <div class="modal" id="modal-create-book" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title">Tạo Mới Book </h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Mã Chương</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-ma-book-create" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Tên Chương</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-ten-book-create" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Giới Thiệu</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-gioi-thieu-book-create" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Tên Người Dịch</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-ten-nguoi-dich-book-create" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Trang</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-trang-create" class="form-control">
                      </div>
                    </div>
                  </div>
                </div>

                <div class="modal-footer">
                  <button type="button" class="btn btn-success confirm-create-book">Confirm</button>
                  <button type="button" class="btn btn-danger cancel-create-book" data-dismiss="modal">Cancel</button>
                </div>
              </div>
            </div>
          </div>

          <!-- modal update album -->
          <div class="modal" id="modal-update-book" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title">Update Book </h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Mã Chương</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-ma-book-update" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Tên Chương</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-ten-book-update" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Giới Thiệu</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-gioi-thieu-book-update" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Tên Người Dịch</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-ten-nguoi-dich-book-update" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Trang</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-trang-update" class="form-control">
                      </div>
                    </div>
                  </div>
                </div>

                <div class="modal-footer">
                  <button type="button" class="btn btn-success confirm-update-book">Confirm</button>
                  <button type="button" class="btn btn-danger cancel-update-book" data-dismiss="modal">Cancel</button>
                </div>
              </div>
            </div>
          </div>

          <!-- modal xóa album -->
          <div class="modal" tabindex="-1" role="dialog" id="modal-delete-book">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title">Delete Book</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <p>Chắc chắn xóa chứ</p>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-danger" id="btn-delete-book">Confirm</button>
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
              </div>
            </div>
          </div>
        </div>
        <hr>

        
        <div class="container">
<!-- 
          <div class="mb-3 mt-5">
            <button class="btn btn-success" id="btn-create-chapter">Thêm Mới Chapter</button>
          </div>

          <table class="table table-bordered table-striped table-hover text-center bg-light" id="chapter-table">
            <thead>
              <tr>
                <th>STT</th>
                <th>Tên Bài</th>
                <th>Mã bài</th>
                <th>Giới Thiệu</th>
                <th>Trang</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>

            </tbody>
          </table> -->


          <!-- create chapter -->
          <div class="modal" id="modal-create-chapter" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title">Tạo Mới Chapter </h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Tên Bài</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-ten-chapter-create" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Mã Bài</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-ma-chapter-create" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Giới Thiệu</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-gioi-thieu-chapter-create" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Trang</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-trang-chapter-create" class="form-control">
                      </div>
                    </div>
                  </div>
                </div>

                <div class="modal-footer">
                  <button type="button" class="btn btn-success confirm-create-chapter">Confirm</button>
                  <button type="button" class="btn btn-danger cancel-create-chapter" data-dismiss="modal">Cancel</button>
                </div>
              </div>
            </div>
          </div>

          <!-- update chapter -->
          <div class="modal" id="modal-update-chapter" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title">Update Chapter </h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Tên Bài</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-ten-chapter-update" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Mã Bài</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-ma-chapter-update" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Giới Thiệu</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-gioi-thieu-chapter-update" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="row">
                      <div class="col-4">
                        <label for="" class="font-weight-bold">Trang</label>
                      </div>
                      <div class="col-8">
                        <input type="text" id="inp-trang-chapter-update" class="form-control">
                      </div>
                    </div>
                  </div>
                </div>

                <div class="modal-footer">
                  <button type="button" class="btn btn-success confirm-update-chapter">Confirm</button>
                  <button type="button" class="btn btn-danger cancel-update-chapter" data-dismiss="modal">Cancel</button>
                </div>
              </div>
            </div>
          </div>

          <!-- delete chapter -->

          <div class="modal" tabindex="-1" role="dialog" id="modal-delete-chapter">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title">Delete Chapter</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <p>Chắc chắn xóa chứ</p>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-danger" id="btn-delete-chapter">Comfirm</button>
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>



    </div>
    </div>
    <!-- /.card -->
    </div>
    <!-- /.col -->
    </div>
    <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
  </section>
  <!-- /.content -->
  </div>
</body>

</html>

<script>

  $(document).ready(function () {
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    //định nghĩa table album
    const gCOL_ID = 0;
    const gCOL_MA_CHUONG = 1;
    const gCOL_TEN_CHUONG = 2;
    const gCOL_GIOI_THIEU = 3;
    const gCOL_TEN_NGUOI_DICH = 4;
    const gCOL_TRANG = 5;
    const gCOL_ACTION = 6;
    var STT = 1;
    var gId = 0;



    const gORDER_COLS = ["id", "maChuong", "tenChuong", "gioiThieu", "tenNguoiDich", "trang", "action"];
    var vTable = $("#book-table").DataTable({
      columns: [
        { data: gORDER_COLS[gCOL_ID] },
        { data: gORDER_COLS[gCOL_MA_CHUONG] },
        { data: gORDER_COLS[gCOL_TEN_CHUONG] },
        { data: gORDER_COLS[gCOL_GIOI_THIEU] },
        { data: gORDER_COLS[gCOL_TEN_NGUOI_DICH] },
        { data: gORDER_COLS[gCOL_TRANG] },
        { data: gORDER_COLS[gCOL_ACTION] },
      ],
      columnDefs: [
        {
          targets: gCOL_ID,
          render: function () {
            return STT++;
          }
        },
        {
          "targets": gCOL_ACTION,
          "defaultContent": `<i class="far fa-edit edit-book" style= "color : green ; cursor: pointer;" title="Edit " ></i>  
                            <i class="fas fa-trash-alt delete-book" style= "color : red ; cursor: pointer;" title="Delete"></i>`
        }
      ],
      searching: false,
    });



  //định nghĩa table chapter
    const gCOLS_ID = 0;
    const gCOLS_TEN_BAI = 1;
    const gCOLS_MA_BAI = 2;
    const gCOLS_GIOI_THIEU = 3;
    const gCOLS_TRANG = 4;
    const gCOL_ACTION1 = 5;

    var STT2 = 1;
    var gIdChapter = 0;

    const gORDER_COL = ["id", "tenBai","maBai", "gioiThieu", "trang"];
    var vTableData = $("#chapter-table").DataTable({
      columns: [
        { data: gORDER_COL[gCOLS_ID] },
        { data: gORDER_COL[gCOLS_TEN_BAI] },
        { data: gORDER_COL[gCOLS_MA_BAI] },
        { data: gORDER_COL[gCOLS_GIOI_THIEU] },
        { data: gORDER_COL[gCOLS_TRANG] },
        { data: gORDER_COL[gCOL_ACTION1] },
      ],
      columnDefs: [
        {
          targets: gCOLS_ID,
          render: function () {
            return STT2++;
          }
        },
        {
          "targets": gCOL_ACTION1,
          "defaultContent": `<i class="far fa-edit edit-chapter" style= "color : green ; cursor: pointer;" title="Edit " ></i>  
                            <i class="fas fa-trash-alt delete-chapter" style= "color : red ; cursor: pointer;" title="Delete"></i>`
        }
      ],
      searching: false,
    });
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    onPageLoading();
    //Gán event handler khi click vào hàng bất kỳ trong table book
    $("#book-table").on("click", "td", function () {
      onBtnBookTableRowClick(this);
    });
    //Gán event handler khi click vào hàng bất kỳ trong table image
    $("#chapter-table").on("click", "td", function () {
      onBtnChapterTableRowClick(this);
    });
    // gán sự kiện cho nút add book
    $("#btn-create-album").on("click", function () {
      $("#modal-create-book").modal("show");

    })
    // confirm book create
    $(document).on("click", ".confirm-create-book", function () {
      onBtnCreateBookClick();
    });
    // cancel book create
    $(".cancel-create-book").on("click", function () {
      $("#modal-create-book").modal("hide");
    });

    // gán sự kiện cho nút add chapter
    $("#btn-create-chapter").on("click", function () {
      $("#modal-create-chapter").modal("show");

    });
    // confirm chapter create
    $(".confirm-create-chapter").on("click", function () {
      onBtnCreateChapterClick();
    });

    // gán sự kiện cho nút update book
    $(document).on("click", ".edit-book", function () {
      $("#modal-update-book").modal("show");
      onBtnBookTableRowClick(this);
    });
    $(".confirm-update-book").on("click", function () {
      onBtnUpdateBookClick();
    });
    $(".cancel-update-book").on("click", function () {
      $("#modal-update-book").modal("hide");
    });

    // gán sự kiện cho nút update image
    $(document).on("click", ".edit-chapter", function () {
      $("#modal-update-chapter").modal("show");
      onBtnChapterTableRowClick(this);
    });

    // confirm update image
    $(".confirm-update-chapter").on("click", function () {
      onBtnUpdateChapterClick();
    });

    // cancel update image
    $(".confirm-update-chapter").on("click", function () {
      $("#modal-update-chapter").modal("hide");
    });


    // gán sự kiện cho nút delete album
    $(document).on("click", ".delete-book", function () {
      $("#modal-delete-book").modal("show");
    });
    // delete album confirm
    $("#btn-delete-book").on("click", function () {
      onBtnDeleteBookClick();
    });


    // gán sự kiện cho nút delete image
    $(document).on("click",".delete-chapter",function() {
      $("#modal-delete-chapter").modal("show");
    }); 

    // xác nhận xóa image
    $("#btn-delete-chapter").on("click", function () {
        onBtnDeleteChapterClick();
    })


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    //hàm load trang
    function onPageLoading() {
      "use strict";
      callApiGetAllBookShowOnTable();
      callApiGetAllChapterShowOnTable();
    }
    //Hàm gọi APi lấy ra toàn bộ album
    function callApiGetAllBookShowOnTable() {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/book/all",
        type: "GET",

        dataType: "json",
        success: function (res) {
          console.log(res);
          vTable.clear();
          vTable.rows.add(res);
          vTable.draw();
        },
        error: function (err) {
          console.log(err.responseText);
        }
      })

    }
    //Hàm gọi APi lấy ra toàn bộ image
    function callApiGetAllChapterShowOnTable() {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/chapter/all",
        type: "GET",

        dataType: "json",
        success: function (res) {
          console.log(res);
          vTableData.clear();
          vTableData.rows.add(res);
          vTableData.draw();
        },
        error: function (err) {
          console.log(err.responseText);
        }
      })
    }
    //Hàm thực thi khi click vào hàng bất kỳ
    function onBtnBookTableRowClick(paramTableCell) {
      var vClickedRow = $(paramTableCell).parents("tr");
      var vRowData = vTable.row(vClickedRow).data();
      gId = vRowData.id;
      console.log("Đã click vào row có id là: " + gId);
      callAjaxApiGetBookById(gId);
    }
    //Hàm thực thi khi click vào hàng bất kỳ
    function onBtnChapterTableRowClick(paramTableCell) {
      var vClickedRow = $(paramTableCell).parents("tr");
      var vRowData = vTableData.row(vClickedRow).data();
      gIdChapter = vRowData.id;
      console.log("Đã click vào row có id là: " + gIdChapter);
      callAjaxApiGetChapterById(gIdChapter);
    }


    //Hàm thực thi khi nhấn nút add album
    function onBtnCreateBookClick() {

      var vObj = {
        maChuong: $("#inp-ma-book-create").val().trim(),
        tenChuong: $("#inp-ten-book-create").val().trim(),
        gioiThieu: $("#inp-gioi-thieu-book-create").val().trim(),
        tenNguoiDich: $("#inp-ten-nguoi-dich-book-create").val().trim(),
        trang: $("#inp-trang-create").val().trim()
      };

      var vCheck = validateBookData(vObj);
      if (vCheck == true) {

        $.ajax({
          url: "http://localhost:8080/book/create",
          type: "POST",
          contentType: "application/json",
          async: false,
          data: JSON.stringify(vObj),
          success: function (res) {
            console.log(res);
            alert("Tạo book mới thành công");
            window.location.reload();
          },
          error: function (err) {
            console.log(err.responseText);
          }
        });
      }

    }


    //Hàm thực thi khi nhấn nút create image
    // nhấm vào 1 row lấy id của album rồi mới tạo dc image
    function onBtnCreateChapterClick() {

      var vObj = {
        tenBai: $("#inp-ten-chapter-create").val().trim(),
        maBai: $("#inp-ma-chapter-create").val().trim(),
        gioiThieu: $("#inp-gioi-thieu-chapter-create").val().trim(),
        trang: $("#inp-trang-chapter-create").val().trim(),
      };

      console.log(vObj);
      var vCheck = validateChapterData(vObj);
      if (vCheck) {

        $.ajax({
          url: "http://localhost:8080/chapter/create/" + gId,
          type: "POST",
          contentType: "application/json; charset=UTF-8",
          data: JSON.stringify(vObj),
          success: function (res) {
            console.log(res);
            alert("Tạo mới chapter thành công");
            window.location.reload();
          },
          error: function (err) {
            console.log(err.responseText);
          }
        })
      }
    }


    //Hàm thực thi khi nhấn nút update album
    function onBtnUpdateBookClick() {
      "use strict";
      if (gId == 0) {
        alert("Hãy click chọn hàng cần update");
      }
      else {
        var vObj = {
          maChuong: $("#inp-ma-book-update").val().trim(),
          tenChuong: $("#inp-ten-book-update").val().trim(),
          gioiThieu: $("#inp-gioi-thieu-book-update").val().trim(),
          tenNguoiDich: $("#inp-ten-nguoi-dich-book-update").val().trim(),
          trang: $("#inp-trang-update").val().trim()
        };
      };
      var vCheck = validateBookData1(vObj);
      if (vCheck) {
        $.ajax({
          url: "http://localhost:8080/book/update/" + gId,
          type: "PUT",
          contentType: "application/json; charset=UTF-8",
          data: JSON.stringify(vObj),
          success: function (res) {
            console.log(res);
            alert("Update book thành công");
            window.location.reload();
          },
          error: function (err) {
            console.log(err.responseText);
          }
        });
      };
    }

    //Hàm thực thi khi nhấn nút Update image
    function onBtnUpdateChapterClick() {
      "use strict";
      if (gIdChapter == 0) {
        alert("Hãy click chọn hàng cần update");
      }
      else {
        var vObj = {
          tenBai: $("#inp-ten-chapter-update").val(),
          maBai: $("#inp-ma-chapter-update").val(),
          gioiThieu: $("#inp-gioi-thieu-chapter-update").val(),
          trang: $("#inp-trang-chapter-update").val(),
        };

        var vCheck = validateChapterData1(vObj);
        if (vCheck) {
          $.ajax({
            url: "http://localhost:8080/chapter/update/" + gIdChapter,
            type: "PUT",
            contentType: "application/json; charset=UTF-8",
            async: false,
            data: JSON.stringify(vObj),
            success: function (res) {
              console.log(res);
              alert("Update chapter thành công");
              window.location.reload();
            },
            error: function (err) {
              console.log(err.responseText);
            }
          });
        };
      }
    }
    //Hàm thực thi khi nhấn nút Delete album
    function onBtnDeleteBookClick() {
      "use strict";
      if (gId == 0) {
        alert("Hãy click chọn hàng cần delete");
      }
      else if (confirm("Bạn có muõn xóa book có id : " + gId + " ?") == true) {
        $.ajax({
          url: "http://localhost:8080/book/delete/" + gId,
          type: "DELETE",
          dataType: "json",
          success: function (res) {
            console.log(res);
            alert("Delete book thành công");
            window.location.reload();
          },
          error: function (err) {
            console.log(err.response);
          }
        });
      }
    }
    //Hàm thực thi khi nhấn nút Delete Order
    function onBtnDeleteChapterClick() {
      "use strict";
      if (gIdChapter == 0) {
        alert("Hãy click chọn hàng cần delete");
      }
      else if (confirm("Bạn có muốn xóa chapter có id : " + gIdChapter + " ?") == true) {
        $.ajax({
          url: "http://localhost:8080/chapter/delete/" + gIdChapter,
          type: "DELETE",
          dataType: "json",
          success: function (res) {
            console.log(res);
            alert("Delete chapter thành công");
            window.location.reload();
          },
          error: function (err) {
            console.log(err.response);
          }
        });
      }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //Hàm gọi API để lấy dữ liệu album theo id
    function callAjaxApiGetBookById(paramId) {
      $.ajax({
        url: "http://localhost:8080/book/detail/" + paramId,
        type: "GET",
        dataType: "json",
        success: function (res) {
          console.log(res);
          loadBookDataToForm(res);
        },
        error: function (err) {
          console.log(err.responseText);
        }
      })
    }
    //Hàm gọi API để lấy dữ liệu chapter theo id
    function callAjaxApiGetChapterById(paramId) {
      $.ajax({
        url: "http://localhost:8080/chapter/detail/" + paramId,
        type: "GET",
        dataType: "json",
        success: function (res) {
          console.log(res);
          loadChapterDataToForm(res);
        },
        error: function (err) {
          console.log(err.responseText);
        }
      })
    }


    //Hàm load dữ liệu album lên form
    function loadBookDataToForm(paramRes) {
      $("#inp-ma-book-update").val(paramRes.maChuong);
      $("#inp-ten-book-update").val(paramRes.tenChuong);
      $("#inp-gioi-thieu-book-update").val(paramRes.gioiThieu);
      $("#inp-ten-nguoi-dich-book-update").val(paramRes.tenNguoiDich);
      $("#inp-trang-update").val(paramRes.trang);
    }

    //Hàm load dữ liệu image lên form
    function loadChapterDataToForm(paramRes) {
      $("#inp-ten-chapter-update").val(paramRes.tenBai);
      $("#inp-ma-chapter-update").val(paramRes.maBai);
      $("#inp-gioi-thieu-chapter-update").val(paramRes.gioiThieu);
      $("#inp-trang-chapter-update").val(paramRes.trang);
    }
   

    //Hàm validate create album
    function validateBookData(paramObj) {
      "use strict"
      if (paramObj.maChuong === "") {
        alert("Hãy nhập mã chương");
        return false;
      } else if (paramObj.tenChuong === "") {
        alert("Hãy nhập tên chương");
        return false;
      } else if (paramObj.gioiThieu === "") {
        alert("Hãy nhập giới thiệu");
        return false;
      }
      else if (paramObj.tenNguoiDich === "") {
        alert("Hãy nhập tên người dịch");
        return false;
      }
      else if (paramObj.trang === "") {
        alert("Hãy nhập trang");
        return false;
      }
      return true;
    }

    // validate update album
    function validateBookData1(paramObj) {
      "use strict"
      if (paramObj.maChuong === "") {
        alert("Hãy nhập mã chương");
        return false;
      } else if (paramObj.tenChuong === "") {
        alert("Hãy nhập tên chương");
        return false;
      } else if (paramObj.gioiThieu === "") {
        alert("Hãy nhập giới thiệu");
        return false;
      }
      else if (paramObj.tenNguoiDich === "") {
        alert("Hãy nhập tên người dịch");
        return false;
      }
      else if (paramObj.trang === "") {
        alert("Hãy nhập trang");
        return false;
      }
      return true;
    }


    //Hàm validate create image
    function validateChapterData(paramObj) {
      "use strict"
      if (paramObj.tenBai === "") {
        alert("Hãy nhập tên bài");
        return false;
      } else if (paramObj.maBai === "") {
        alert("Hãy nhập mã bài");
        return false;
      } else if (paramObj.gioiThieu === "") {
        alert("Hãy nhập giới thiệu");
        return false;
      }  else if (paramObj.trang === "") {
        alert("Hãy nhập trang");
        return false;
      }
      return true;
    }

    //Hàm validate update image
    function validateChapterData1(paramObj) {
      "use strict"
      if (paramObj.tenBai === "") {
        alert("Hãy nhập tên bài");
        return false;
      } else if (paramObj.maBai === "") {
        alert("Hãy nhập mã bài");
        return false;
      } else if (paramObj.gioiThieu === "") {
        alert("Hãy nhập giới thiệu");
        return false;
      }  else if (paramObj.trang === "") {
        alert("Hãy nhập trang");
        return false;
      }
      return true;
    }
  });
</script>